<?php

include "../../classes/autoload.php";

$html = new html("");

$app = new inner_app();
$app->quick_bar("/app/jobcard_admin");
$app->app_start();


?>

<div class="column width_80 background_1 border_radius">

    <h1>NEW FILE SUB CATEGORIE</h1>
    <div class="row width_80">
        <div class="column width_50">
            <label>NAME</label>
            <input type="text" class="width_80" id='name' name='name' />
            <label>FILE CATEGORY</label>
            <select id="file_category_id" name="file_category_id">
                <?php
                $function->get_file_categories();
                ?>
            </select>
        </div>
    </div>


    <br>
    <button class="width_90" onclick="save('save_file_subcategories.php')">SAVE</button>
    <br>

</div>


<script>
    function save(url) {
        var elements = document.getElementsByTagName('input');
        var payload = {};
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];
            if (element.type === 'text' || element.type === 'date' || element.type === 'email') {
                payload[element.name] = element.value;
            }
        }

        var elements = document.getElementsByTagName('select');
        for (var i = 0; i < elements.length; i++) {
            var element = elements[i];

            payload[element.name] = element.value;

        }

        var form = document.createElement('form');
        form.method = 'POST';
        form.action = url;

        for (var key in payload) {
            if (payload.hasOwnProperty(key)) {
                var input = document.createElement('input');
                input.type = 'hidden';
                input.name = key;
                input.value = payload[key];

                form.appendChild(input);
            }
        }

        document.body.appendChild(form);
        form.submit();
    }
</script>